import { Measurement, Configuration as APIConfiguration } from '../codegen';
import { BaseResource } from './base';
interface MeasurementInput extends Omit<Measurement, 'time'> {
    time?: Date | string;
}
declare class Measurements extends BaseResource {
    private api;
    constructor(apiConfig: APIConfiguration);
    /**
     * Send Measurement (one or multiple).
     */
    create(body: Measurement): Promise<Measurement>;
    create(body: Measurement[]): Promise<Measurement[]>;
    create(body: MeasurementInput): Promise<Measurement>;
    create(body: MeasurementInput[]): Promise<Measurement[]>;
}
export { Measurements };
